# Uses of Interface
org.eclipse.jface.viewers.IStructuredSelection

Packages that use IStructuredSelection
Package
Description
org.eclipse.compare.internal
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.internal
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.
org.eclipse.ui.views.markers.internal
org.eclipse.ui.wizards
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface wizard support.
org.eclipse.ui.wizards.datatransfer
Provides the standard Import and Export wizards for moving resources into and out of the workspace.
org.eclipse.ui.wizards.newresource
Provides the standard wizards for creating files, folders, and projects in the workspace.

## Uses of IStructuredSelection in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return IStructuredSelection
Modifier and Type
Method
Description
`IStructuredSelection`
CompareLinkHelper.`findSelection(IEditorInput anInput)`
Methods in org.eclipse.compare.internal with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`void`
CompareLinkHelper.`activateEditor(IWorkbenchPage aPage, IStructuredSelection aSelection)`

## Uses of IStructuredSelection in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`void`
IDetailPane.`display(IStructuredSelection selection)`
Displays details for the given selection, possible `null`.
`String`
IDetailPaneFactory.`getDefaultDetailPane(IStructuredSelection selection)`
Returns the identifier of the default detail pane type to use for the given selection, or `null` if this factory has no preference.
`Set<String>`
IDetailPaneFactory.`getDetailPaneTypes(IStructuredSelection selection)`
Returns all possible types detail panes that this factory can create for the given selection, possibly empty.
`static int`
DebugUITools.`openLaunchConfigurationDialog(Shell shell, IStructuredSelection selection, String mode)`
Deprecated.
use openLaunchConfigurationDialogOnGroup(Shell, IStructuredSelection, String) to specify the launch group that the dialog should be opened on.
`static int`
DebugUITools.`openLaunchConfigurationDialogOnGroup(Shell shell, IStructuredSelection selection, String groupIdentifier)`
Open the launch configuration dialog with the specified initial selection.
`static int`
DebugUITools.`openLaunchConfigurationDialogOnGroup(Shell shell, IStructuredSelection selection, String groupIdentifier, IStatus status)`
Open the launch configuration dialog with the specified initial selection.

## Uses of IStructuredSelection in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui that return IStructuredSelection
Modifier and Type
Method
Description
`protected IStructuredSelection`
RevertProfilePage.`getSelection()`
Methods in org.eclipse.equinox.p2.ui with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`protected void`
RevertProfilePage.`handleSelectionChanged(IStructuredSelection selection)`

## Uses of IStructuredSelection in org.eclipse.jface.viewers

Subinterfaces of IStructuredSelection in org.eclipse.jface.viewers
Modifier and Type
Interface
Description
`interface`
`ITreeSelection`
A selection containing tree paths.
Classes in org.eclipse.jface.viewers that implement IStructuredSelection
Modifier and Type
Class
Description
`class`
`StructuredSelection`
A concrete implementation of the `IStructuredSelection` interface, suitable for instantiating.
`class`
`TreeSelection`
A concrete implementation of the `ITreeSelection` interface, suitable for instantiating.
Methods in org.eclipse.jface.viewers that return IStructuredSelection
Modifier and Type
Method
Description
`IStructuredSelection`
SelectionChangedEvent.`getStructuredSelection()`
Returns the selection.
`IStructuredSelection`
StructuredViewer.`getStructuredSelection()`
Returns the `IStructuredSelection` of this viewer.

## Uses of IStructuredSelection in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that return IStructuredSelection
Modifier and Type
Method
Description
`protected final IStructuredSelection`
MergeActionHandler.`getStructuredSelection()`
Return the current selection.
Methods in org.eclipse.team.ui.mapping with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`protected void`
MergeActionHandler.`updateEnablement(IStructuredSelection selection)`
Update the enablement of this handler for the new selection.

## Uses of IStructuredSelection in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`protected abstract boolean`
ModelParticipantAction.`isEnabledForSelection(IStructuredSelection selection)`
Return whether the action is enabled for the given selection
`protected boolean`
ModelParticipantAction.`updateSelection(IStructuredSelection selection)`
`protected boolean`
SynchronizeModelAction.`updateSelection(IStructuredSelection selection)`

## Uses of IStructuredSelection in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`void`
IWorkbenchWizard.`init(IWorkbench workbench, IStructuredSelection selection)`
Initializes this creation wizard using the passed workbench and object selection.

## Uses of IStructuredSelection in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions that return IStructuredSelection
Modifier and Type
Method
Description
`IStructuredSelection`
BaseSelectionListenerAction.`getStructuredSelection()`
Returns the current structured selection in the workbench, or an empty selection if nothing is selected or if selection does not include objects (for example, raw text).
`IStructuredSelection`
SelectionProviderAction.`getStructuredSelection()`
Returns the current structured selection in the selection provider, or an empty selection if nothing is selected or if selection does not include objects (for example, raw text).
Methods in org.eclipse.ui.actions with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`final void`
BaseSelectionListenerAction.`selectionChanged(IStructuredSelection selection)`
Notifies this action that the given structured selection has changed.
`void`
SelectionProviderAction.`selectionChanged(IStructuredSelection selection)`
Notifies this action that the given structured selection has changed in the selection provider.
`void`
ExportResourcesAction.`setSelection(IStructuredSelection selection)`
Deprecated.
`void`
ImportResourcesAction.`setSelection(IStructuredSelection selection)`
Deprecated.
`protected boolean`
AddBookmarkAction.`updateSelection(IStructuredSelection selection)`
The `AddBookmarkAction` implementation of this `SelectionListenerAction` method enables the action only if the selection is not empty and contains just file resources.
`protected boolean`
AddTaskAction.`updateSelection(IStructuredSelection selection)`
The `AddTaskAction` implementation of this `SelectionListenerAction` method enables the action only if the selection contains a single resource and the resource is not a closed project.
`protected boolean`
BaseSelectionListenerAction.`updateSelection(IStructuredSelection selection)`
Updates this action in response to the given selection.
`protected boolean`
BuildAction.`updateSelection(IStructuredSelection s)`
The `BuildAction` implementation of this `SelectionListenerAction` method ensures that this action is enabled only if all of the selected resources have buildable projects.
`protected boolean`
CloseResourceAction.`updateSelection(IStructuredSelection s)`
The `CloseResourceAction` implementation of this `SelectionListenerAction` method ensures that this action is enabled only if one of the selections is an open project.
`protected boolean`
CloseUnrelatedProjectsAction.`updateSelection(IStructuredSelection s)`
Overrides to avoid calling the expensive `computeRelated(List)` during selection changes.
`protected boolean`
CopyProjectAction.`updateSelection(IStructuredSelection selection)`
The `CopyResourceAction` implementation of this `SelectionListenerAction` method enables this action only if there is a single selection which is a project.
`protected boolean`
CopyResourceAction.`updateSelection(IStructuredSelection selection)`
The `CopyResourceAction` implementation of this `SelectionListenerAction` method enables this action only if all of the one or more selections are sibling resources which are local (depth infinity).
`protected boolean`
CreateFileAction.`updateSelection(IStructuredSelection s)`
Deprecated.
`protected boolean`
CreateFolderAction.`updateSelection(IStructuredSelection s)`
Deprecated.
`protected boolean`
DeleteResourceAction.`updateSelection(IStructuredSelection selection)`
The `DeleteResourceAction` implementation of this `SelectionListenerAction` method disables the action if the selection contains phantom resources or non-resources
`protected boolean`
OpenResourceAction.`updateSelection(IStructuredSelection s)`
The `OpenResourceAction` implementation of this `SelectionListenerAction` method ensures that this action is enabled only if one of the selections is a closed project.
`protected boolean`
OpenSystemEditorAction.`updateSelection(IStructuredSelection selection)`
The `OpenSystemEditorAction` implementation of this `SelectionListenerAction` method enables the action only if the selection contains just file resources.
`protected boolean`
RefreshAction.`updateSelection(IStructuredSelection s)`
The `RefreshAction` implementation of this `SelectionListenerAction` method ensures that this action is enabled if the selection is empty, but is disabled if any of the selected elements are not resources.
`protected boolean`
RenameResourceAction.`updateSelection(IStructuredSelection selection)`
The `RenameResourceAction` implementation of this `SelectionListenerAction` method ensures that this action is disabled if any of the selections are not resources or resources that are not local.
`protected boolean`
ScrubLocalAction.`updateSelection(IStructuredSelection s)`
Deprecated.
`protected boolean`
WorkspaceAction.`updateSelection(IStructuredSelection selection)`
The `WorkspaceAction` implementation of this `SelectionListenerAction` method ensures that this action is disabled if any of the selected resources are inaccessible.

## Uses of IStructuredSelection in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`WorkingSetGroup`
WizardNewProjectCreationPage.`createWorkingSetGroup(Composite composite, IStructuredSelection selection, String[] supportedWorkingSetTypes)`
Create a working set group for this page.
`IWorkingSet[]`
WorkingSetConfigurationBlock.`findApplicableWorkingSets(IStructuredSelection selection)`
Retrieves a working set from the given `selection` or an empty array if no working set could be retrieved.
`boolean`
PropertyDialogAction.`isApplicableForSelection(IStructuredSelection selection)`
Returns whether this action is applicable to the current selection.
`void`
PropertyDialogAction.`selectionChanged(IStructuredSelection selection)`
`void`
WorkingSetConfigurationBlock.`setSelection(IStructuredSelection selection)`
Deprecated.
use `WorkingSetConfigurationBlock.setWorkingSets(IWorkingSet[])` and `WorkingSetConfigurationBlock.findApplicableWorkingSets(IStructuredSelection)` instead.
Constructors in org.eclipse.ui.dialogs with parameters of type IStructuredSelection
Modifier
Constructor
Description
`protected`
`WizardExportResourcesPage(String pageName, IStructuredSelection selection)`
Creates an export wizard page.
``
`WizardNewFileCreationPage(String pageName, IStructuredSelection selection)`
Creates a new file creation wizard page.
``
`WizardNewFolderMainPage(String pageName, IStructuredSelection selection)`
Creates a new folder creation wizard page.
``
`WizardNewProjectCreationPage(String pageName, IStructuredSelection selection, String[] workingSetTypes)`
Deprecated.
default placement of the working set group has been removed.
`protected`
`WizardResourceImportPage(String name, IStructuredSelection selection)`
Creates an import wizard page.
``
`WorkingSetGroup(Composite composite, IStructuredSelection currentSelection, String[] workingSetTypes)`
Create a new instance of this class.

## Uses of IStructuredSelection in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers that return IStructuredSelection
Modifier and Type
Method
Description
`static IStructuredSelection`
HandlerUtil.`getCurrentStructuredSelection(ExecutionEvent event)`
Return the current structured selection, or `StructuredSelection.EMPTY` if the current selection is not a structured selection or `null`.

## Uses of IStructuredSelection in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide that return IStructuredSelection
Modifier and Type
Method
Description
`static IStructuredSelection`
ResourceSelectionUtil.`allResources(IStructuredSelection selection, int resourceMask)`
Returns the selection adapted to IResource.
Methods in org.eclipse.ui.ide with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`static IStructuredSelection`
ResourceSelectionUtil.`allResources(IStructuredSelection selection, int resourceMask)`
Returns the selection adapted to IResource.
`static boolean`
ResourceSelectionUtil.`allResourcesAreOfType(IStructuredSelection selection, int resourceMask)`
Returns whether the types of the resources in the given selection are among the specified resource types.
`static List<IResource>`
IDE.`computeSelectedResources(IStructuredSelection originalSelection)`
Extracts and returns the `IResource`s in the given selection or the resource objects they adapts to.

## Uses of IStructuredSelection in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return IStructuredSelection
Modifier and Type
Method
Description
`static IStructuredSelection`
LegacyResourceSupport.`adaptSelection(IStructuredSelection selection, String objectClass)`
Adapts a selection to the given objectClass considering the Legacy resource support.
`IStructuredSelection`
ISelectionConversionService.`convertToResources(IStructuredSelection originalSelection)`
Attempt to convert the elements in the passed selection into resources by asking each for its IResource property (iff it isn't already a resource).
`IStructuredSelection`
SelectionConversionService.`convertToResources(IStructuredSelection originalSelection)`
Attempt to convert the elements in the passed selection into resources by asking each for its IResource property (iff it isn't already a resource).
Methods in org.eclipse.ui.internal with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`static IStructuredSelection`
LegacyResourceSupport.`adaptSelection(IStructuredSelection selection, String objectClass)`
Adapts a selection to the given objectClass considering the Legacy resource support.
`IStructuredSelection`
ISelectionConversionService.`convertToResources(IStructuredSelection originalSelection)`
Attempt to convert the elements in the passed selection into resources by asking each for its IResource property (iff it isn't already a resource).
`IStructuredSelection`
SelectionConversionService.`convertToResources(IStructuredSelection originalSelection)`
Attempt to convert the elements in the passed selection into resources by asking each for its IResource property (iff it isn't already a resource).
`boolean`
ObjectContributorManager.`isApplicableTo(IStructuredSelection selection, IObjectContributor contributor)`
Return whether the given contributor is applicable to all elements in the selection.
`boolean`
ActionExpression.`isEnabledFor(IStructuredSelection selection)`
Returns whether the expression is valid for all elements of the given selection.

## Uses of IStructuredSelection in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return IStructuredSelection
Modifier and Type
Method
Description
`IStructuredSelection`
ILinkHelper.`findSelection(IEditorInput anInput)`
Determine the correct structured selection for the Common Navigator given anInput.
`IStructuredSelection`
LinkHelperService.`getSelectionFor(IEditorInput input)`
Return a selection that contains the elements that the given editor input represent.
Methods in org.eclipse.ui.navigator with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`void`
ILinkHelper.`activateEditor(IWorkbenchPage aPage, IStructuredSelection aSelection)`
Activate the correct editor for aSelection.
`boolean`
INavigatorContentDescriptor.`arePossibleChildren(IStructuredSelection aSelection)`
A convenience method to check all elements in a selection.
`void`
CommonDragAdapterAssistant.`dragFinished(DragSourceEvent anEvent, IStructuredSelection aSelection)`
Allows the drag assistant to do any necessary cleanup after the drop operation is done.
`void`
CommonDragAdapterAssistant.`dragStart(DragSourceEvent anEvent, IStructuredSelection aSelection)`
Allows the drag assistant indicate it wants to participate in the drag operation.
`CommonDropAdapterAssistant[]`
INavigatorDnDService.`findCommonDropAdapterAssistants(Object aDropTarget, IStructuredSelection theDragSelection)`
This method returns an array of `CommonDropAdapterAssistant` from content extensions that are visible and active for the associated `INavigatorContentService`.
`IStatus`
CommonDropAdapterAssistant.`handlePluginTransferDrop(IStructuredSelection aDragSelection, Object aDropTarget)`
Handle the drop operation for the target viewer.
`abstract boolean`
CommonDragAdapterAssistant.`setDragData(DragSourceEvent anEvent, IStructuredSelection aSelection)`
Set the value of the `Event.data` field using the given selection.
`IStatus`
CommonDropAdapterAssistant.`validatePluginTransferDrop(IStructuredSelection aDragSelection, Object aDropTarget)`
Return true if the client can handle the drop onto the target viewer of the drop operation.

## Uses of IStructuredSelection in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`IStatus`
ResourceDropAdapterAssistant.`handlePluginTransferDrop(IStructuredSelection aDragSelection, Object aDropTarget)`
`boolean`
ResourceDragAdapterAssistant.`setDragData(DragSourceEvent anEvent, IStructuredSelection aSelection)`
`IStatus`
ResourceDropAdapterAssistant.`validatePluginTransferDrop(IStructuredSelection aDragSelection, Object aDropTarget)`

## Uses of IStructuredSelection in org.eclipse.ui.views.markers.internal

Methods in org.eclipse.ui.views.markers.internal with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`static boolean`
Util.`allConcreteSelection(IStructuredSelection selection)`
Return whether or not all of the elements in the selection are concrete.

## Uses of IStructuredSelection in org.eclipse.ui.wizards

Methods in org.eclipse.ui.wizards that return IStructuredSelection
Modifier and Type
Method
Description
`IStructuredSelection`
IWizardDescriptor.`adaptedSelection(IStructuredSelection selection)`
Answer the selection for the receiver based on whether the it can handle the selection.
Methods in org.eclipse.ui.wizards with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`IStructuredSelection`
IWizardDescriptor.`adaptedSelection(IStructuredSelection selection)`
Answer the selection for the receiver based on whether the it can handle the selection.

## Uses of IStructuredSelection in org.eclipse.ui.wizards.datatransfer

Methods in org.eclipse.ui.wizards.datatransfer with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`void`
ExternalProjectImportWizard.`init(IWorkbench workbench, IStructuredSelection selection)`
`void`
FileSystemExportWizard.`init(IWorkbench workbench, IStructuredSelection currentSelection)`
`void`
FileSystemImportWizard.`init(IWorkbench currentWorkbench, IStructuredSelection currentSelection)`
`void`
ZipFileExportWizard.`init(IWorkbench workbench, IStructuredSelection currentSelection)`
`void`
ZipFileImportWizard.`init(IWorkbench currentWorkbench, IStructuredSelection currentSelection)`

## Uses of IStructuredSelection in org.eclipse.ui.wizards.newresource

Fields in org.eclipse.ui.wizards.newresource declared as IStructuredSelection
Modifier and Type
Field
Description
`protected IStructuredSelection`
BasicNewResourceWizard.`selection`
The current selection.
Methods in org.eclipse.ui.wizards.newresource that return IStructuredSelection
Modifier and Type
Method
Description
`IStructuredSelection`
BasicNewResourceWizard.`getSelection()`
Returns the selection which was passed to `init`.
Methods in org.eclipse.ui.wizards.newresource with parameters of type IStructuredSelection
Modifier and Type
Method
Description
`void`
BasicNewFileResourceWizard.`init(IWorkbench workbench, IStructuredSelection currentSelection)`
`void`
BasicNewFolderResourceWizard.`init(IWorkbench workbench, IStructuredSelection currentSelection)`
`void`
BasicNewProjectResourceWizard.`init(IWorkbench workbench, IStructuredSelection currentSelection)`
`void`
BasicNewResourceWizard.`init(IWorkbench theWorkbench, IStructuredSelection currentSelection)`
The `BasicNewResourceWizard` implementation of this `IWorkbenchWizard` method records the given workbench and selection, and initializes the default banner image for the pages by calling `initializeDefaultPageImageDescriptor`.